# frozen_string_literal: true
module Hermes
  module Api
    module Dmo
      class DocumentationController <  ActionController::Base
        # This action uses query string parameters because it gets run
        # by an HTTP GET request, but this does not make any difference
        # to the way in which the parameters are accessed. The URL for
        # this action would look like this in order to list activated
        # clients: /clients?status=activated
        def show_scripts
          @md_doc = File.read(File.join(Rails.root,"packages","hermes", "app", "assets", "docs", "doc", "Scripts.md"))
          render template: "show_doc"
        end

        def show_summary
          @md_doc = File.read(File.join(Rails.root,"packages","hermes", "app", "assets", "docs", "doc", "Summary.md"))
          render template: "show_summary"
        end

        def show_company
          @md_doc = File.read(File.join(Rails.root,"packages","hermes", "app", "assets", "docs", "doc", "Company.md"))
          render template: "show_doc"

        end 

        def show_housing_offer
          @md_doc = File.read(File.join(Rails.root,"packages","hermes", "app", "assets", "docs", "doc", "Housing_offer.md"))
          render template: "show_doc"
        end 
        
        def show_lexicon
          @md_doc = File.read(File.join(Rails.root,"packages","hermes", "app", "assets", "docs", "doc", "Lexicon.md"))
          render template: "show_doc"
        end 

        def show_intro
          @md_doc = File.read(File.join(Rails.root,"packages","hermes", "app", "assets", "docs", "doc", "Introduction.md"))
          render template: "show_doc"
        end 

        def show_flux
          @md_doc = File.read(File.join(Rails.root,"packages","hermes", "app", "assets", "docs", "doc", "Flux.md"))
          render template: "show_doc"
        end 

        def show_housing_request
          @md_doc = File.read(File.join(Rails.root,"packages","hermes", "app", "assets", "docs", "doc", "Housing_requests.md"))
          render template: "show_doc"
        end 

        def show_lessor 
          @md_doc = File.read(File.join(Rails.root,"packages","hermes", "app", "assets", "docs", "doc", "Lessor.md"))
          render template: "show_doc"
        end 

        def show_transverse
          @md_doc = File.read(File.join(Rails.root,"packages","hermes", "app", "assets", "docs", "doc", "Transverse.md"))
          render template: "show_doc"
        end 

        def show_changelog
          @md_changelog = File.read(File.join(Rails.root,"packages","hermes", "Changelog.md"))
          render template: "show_changelog"
        end
      end
    end
  end
end
