# frozen_string_literal: true

# app/hermes/models/concerns/common_field.rb
# app/controllers/concerns/test_concern.rb

module Hermes
  module Concerns
    module LockableConcern
      extend ActiveSupport::Concern

      included do
        field :is_locked_with_application, type: Boolean, default: false
    
        def is_locked_with_application_for(user)
          if self.is_locked_with_application 
            if user.roles&.include?("Administrator") || user.auth_roles&.include?('superadministrateur') || user.auth_roles&.include?('collaborateur offre logement')
            return false
          else
            return true
            end
          else
            return false
          end
        end
      end
    end
  end
end
