# frozen_string_literal: true

module Hermes
  class HousingOfferExpirationSetting
    include Hermes::Concerns::CommonFieldsConcern

    writer_roles 'Administrator'
    reader_roles 'Administrator'
    owner_field :user_id

    field :department, type: String
    field :max_applicants, type: Integer
    field :expiry_days, type: Integer, default: 7
    field :minimal_publication_days, type: Integer, default: 3

    belongs_to :lessor, class_name: 'Hermes::Lessor', index: true

    common_indexes *%i[
      department
      max_applicants
      expiry_days
      minimal_publication_days
    ]
  end
end
